# ClipNotes

ClipNotes is a Python tool that simplifies the process of researching papers and collecting information. It automatically saves clipboard entries to a file while you read, allowing you to focus on understanding the content without interrupting your flow to take notes.

## Features

- Automatically collects clipboard entries while researching
- Saves entries to a single file for further processing
- Supports exporting notes to Markdown format
- Integrates with LLMs for intelligent analysis and summarization
- Enables embedding notes for vector similarity search

## Installation

Install ClipNotes using pip:

```
pip install clipnotes
```

## Usage

1. Start ClipNotes before beginning your research session:

   ```
   python -m clipnotes
   ```

2. Read papers and articles, copying important information to the clipboard as you go. ClipNotes will automatically save each clipboard entry.

3. When finished, stop ClipNotes. Your notes will be saved to a file for further processing.

4. Use the exported Markdown file, or integrate with LLMs and vector embeddings to analyze and summarize your notes.

## Contributing

Contributions are welcome! Please see CONTRIBUTING.md for guidelines.

## License

ClipNotes is released under the MIT License. See LICENSE for details.
